Skip to main content
POST
Creates a template with a validated config object.

Body Parameters

string
required
Template name (1-100 chars after trimming). Must be unique per owner.
string
Optional description (max 500 chars).
string
Optional: private or workspace. Default: private.
object
required
Versioned slideshow template config.
visibility: "workspace" requires a workspace-scoped key.

Error Responses

  • 400 invalid_json - body is not valid JSON
  • 422 invalid_payload - schema validation failed
  • 409 template_name_conflict - name already exists for owner
  • 422 invalid_template_config - config failed server-side config validation
  • 401 - authentication failed (missing/invalid/revoked token)
  • 402 subscription_required - active Creator/Professional/Business plan required
  • 403 tier_not_allowed - Scheduler tier cannot use Partner API
  • 500 template_create_failed - unexpected creation failure